osl::search::AlphaBeta3::SearchInfo Struct Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Public Attributes | List of all members
osl::search::AlphaBeta3::SearchInfo Struct Reference

`#include <alphaBeta3.h>`

Collaboration diagram for osl::search::AlphaBeta3::SearchInfo:
[legend]

## Public Member Functions
| SearchInfo ()

## Public Attributes
Move | moved
HashKey | hash_key
PathEncoding | path
int | height
int | extended
int | alpha
int | beta
NodeType | node_type
eval_t | eval
int | search_value
int | moves_tried
bool | in_check
PVVector | pv
MoveVector | moves
MoveCategory | move_type
unsigned int | move_index

## Detailed Description

Definition at line 60 of file alphaBeta3.h.

## Constructor & Destructor Documentation

osl::search::AlphaBeta3::SearchInfo::SearchInfo | ( | ) |  |

Definition at line 1034 of file alphaBeta3.cc.

## Member Data Documentation

int osl::search::AlphaBeta3::SearchInfo::alpha

Definition at line 69 of file alphaBeta3.h.

Referenced by osl::search::AlphaBeta3::generateAllMoves(), osl::search::AlphaBeta3::makeMoveAndSearch(), osl::search::AlphaBeta3::presearch(), osl::search::AlphaBeta3::quiesce(), osl::search::AlphaBeta3::quiesceRoot(), and osl::search::AlphaBeta3::searchRoot().

int osl::search::AlphaBeta3::SearchInfo::beta

Definition at line 69 of file alphaBeta3.h.

Referenced by osl::search::AlphaBeta3::generateAllMoves(), osl::search::AlphaBeta3::makeMoveAndSearch(), osl::search::AlphaBeta3::presearch(), osl::search::AlphaBeta3::quiesce(), osl::search::AlphaBeta3::quiesceRoot(), and osl::search::AlphaBeta3::searchRoot().

eval_t osl::search::AlphaBeta3::SearchInfo::eval

Definition at line 71 of file alphaBeta3.h.

Referenced by osl::search::AlphaBeta3::generateAllMoves(), osl::search::AlphaBeta3::makeMoveAndSearch(), osl::search::AlphaBeta3::presearch(), osl::search::AlphaBeta3::quiesce(), osl::search::AlphaBeta3::quiesceRoot(), and osl::search::AlphaBeta3::searchRoot().

int osl::search::AlphaBeta3::SearchInfo::extended

Definition at line 68 of file alphaBeta3.h.

Referenced by osl::search::AlphaBeta3::makeMoveAndSearch(), and osl::search::AlphaBeta3::presearch().

HashKey osl::search::AlphaBeta3::SearchInfo::hash_key

Definition at line 66 of file alphaBeta3.h.

Referenced by osl::search::AlphaBeta3::makeMoveAndSearch(), osl::search::AlphaBeta3::presearch(), and osl::search::AlphaBeta3::searchRoot().

int osl::search::AlphaBeta3::SearchInfo::height

Definition at line 68 of file alphaBeta3.h.

Referenced by osl::search::AlphaBeta3::generateAllMoves(), osl::search::AlphaBeta3::makeMoveAndSearch(), osl::search::AlphaBeta3::presearch(), osl::search::AlphaBeta3::searchRoot(), and osl::search::AlphaBeta3::PVVector::setPV().

bool osl::search::AlphaBeta3::SearchInfo::in_check

Definition at line 75 of file alphaBeta3.h.

Referenced by osl::search::AlphaBeta3::generateAllMoves(), osl::search::AlphaBeta3::nextMove(), osl::search::AlphaBeta3::presearch(), osl::search::AlphaBeta3::quiesce(), osl::search::AlphaBeta3::quiesceRoot(), osl::search::AlphaBeta3::reductionOk(), and osl::search::AlphaBeta3::PVVector::setPV().

unsigned int osl::search::AlphaBeta3::SearchInfo::move_index

Definition at line 80 of file alphaBeta3.h.

Referenced by osl::search::AlphaBeta3::nextMove().

MoveCategory osl::search::AlphaBeta3::SearchInfo::move_type

Definition at line 79 of file alphaBeta3.h.

Referenced by osl::search::AlphaBeta3::nextMove().

Move osl::search::AlphaBeta3::SearchInfo::moved

Definition at line 65 of file alphaBeta3.h.

Referenced by osl::search::AlphaBeta3::makeMoveAndSearch(), osl::search::AlphaBeta3::nextMove(), osl::search::AlphaBeta3::presearch(), osl::search::AlphaBeta3::quiesce(), osl::search::AlphaBeta3::reductionOk(), and osl::search::AlphaBeta3::searchRoot().

MoveVector osl::search::AlphaBeta3::SearchInfo::moves

Definition at line 78 of file alphaBeta3.h.

Referenced by osl::search::AlphaBeta3::generateAllMoves(), osl::search::AlphaBeta3::generateCapture(), osl::search::AlphaBeta3::generateCaptureAll(), osl::search::AlphaBeta3::nextMove(), osl::search::AlphaBeta3::quiesce(), osl::search::AlphaBeta3::quiesceRoot(), and osl::search::AlphaBeta3::searchRoot().

int osl::search::AlphaBeta3::SearchInfo::moves_tried

Definition at line 74 of file alphaBeta3.h.

NodeType osl::search::AlphaBeta3::SearchInfo::node_type

Definition at line 70 of file alphaBeta3.h.

Referenced by osl::search::AlphaBeta3::generateAllMoves(), osl::search::AlphaBeta3::makeMoveAndSearch(), osl::search::AlphaBeta3::nextMove(), osl::search::AlphaBeta3::presearch(), osl::search::AlphaBeta3::quiesce(), osl::search::AlphaBeta3::quiesceRoot(), and osl::search::AlphaBeta3::searchRoot().

PathEncoding osl::search::AlphaBeta3::SearchInfo::path

Definition at line 67 of file alphaBeta3.h.

Referenced by osl::search::AlphaBeta3::makeMoveAndSearch(), and osl::search::AlphaBeta3::searchRoot().

PVVector osl::search::AlphaBeta3::SearchInfo::pv

Definition at line 76 of file alphaBeta3.h.

Referenced by osl::search::AlphaBeta3::makeMoveAndSearch(), osl::search::AlphaBeta3::quiesce(), osl::search::AlphaBeta3::quiesceRoot(), and osl::search::AlphaBeta3::searchRoot().

int osl::search::AlphaBeta3::SearchInfo::search_value

Definition at line 73 of file alphaBeta3.h.

Referenced by osl::search::AlphaBeta3::presearch(), osl::search::AlphaBeta3::quiesce(), and osl::search::AlphaBeta3::quiesceRoot().

The documentation for this struct was generated from the following files:

- alphaBeta3.h
- alphaBeta3.cc